org.apache.ignite.internal.managers.discovery

## Class IncompleteDeserializationException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.ignite.internal.managers.discovery.IncompleteDeserializationException

All Implemented Interfaces:
  Serializable

    public class IncompleteDeserializationException
    extends RuntimeException

Exception which can be used to access a message which failed to be deserialized completely using Java serialization. Throwed from deserialization methods it can be caught by a caller.

Should be `RuntimeException` because of limitations of Java serialization mechanisms.

Catching `ClassNotFoundException` inside deserialization methods cannot do the same trick because Java deserialization remembers such exception internally and will rethrow it anyway upon returing to a user.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`IncompleteDeserializationException(@NotNull DiscoveryCustomMessage m)`

### Method Summary

All Methods Instance Methods Concrete Methods
`@NotNull DiscoveryCustomMessage` `message()`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### IncompleteDeserializationException

    public IncompleteDeserializationException(@NotNull
                                              @NotNull DiscoveryCustomMessage m)

Parameters:
  `m` - Message.

### Method Detail

#### message

    @NotNull
    public @NotNull DiscoveryCustomMessage message()

Returns:
  Message.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.9.1
Release Date | : December 9 2020